CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities (CVSS score between 5 and 5.99)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2019-1003011 20 DoS 2019-02-06 2019-04-26
5.5
None Remote Low Single system Partial None Partial
An information exposure and denial of service vulnerability exists in Jenkins Token Macro Plugin 2.5 and earlier in src/main/java/org/jenkinsci/plugins/tokenmacro/Parser.java, src/main/java/org/jenkinsci/plugins/tokenmacro/TokenMacro.java, src/main/java/org/jenkinsci/plugins/tokenmacro/impl/AbstractChangesSinceMacro.java, src/main/java/org/jenkinsci/plugins/tokenmacro/impl/ChangesSinceLastBuildMacro.java, src/main/java/org/jenkinsci/plugins/tokenmacro/impl/ProjectUrlMacro.java that allows attackers with the ability to control token macro input (such as SCM changelogs) to define recursive input that results in unexpected macro evaluation.
2 CVE-2019-1002101 59 2019-04-01 2019-04-09
5.8
None Remote Medium Not required None Partial Partial
The kubectl cp command allows copying files between containers and the user machine. To copy files from a container, Kubernetes creates a tar inside the container, copies it over the network, and kubectl unpacks it on the user?s machine. If the tar binary in the container is malicious, it could run any code and output unexpected, malicious results. An attacker could use this to write files to any path on the user?s machine when kubectl cp is called, limited only by the system permissions of the local user. The untar function can both create and follow symbolic links. The issue is resolved in kubectl v1.11.9, v1.12.7, v1.13.5, and v1.14.0.
3 CVE-2019-1000031 400 2019-03-27 2019-03-28
5.0
None Remote Low Not required None None Partial
A disk space or quota exhaustion issue exists in article2pdf_getfile.php in the article2pdf Wordpress plugin 0.24, 0.25, 0.26, 0.27. Visiting PDF generation link but not following the redirect will leave behind a PDF file on disk which will never be deleted by the plug-in.
4 CVE-2019-12295 94 2019-05-23 2019-05-23
5.0
None Remote Low Not required None None Partial
In Wireshark 3.0.0 to 3.0.1, 2.6.0 to 2.6.8, and 2.4.0 to 2.4.14, the dissection engine could crash. This was addressed in epan/packet.c by restricting the number of layers and consequently limiting recursion.
5 CVE-2019-12269 347 2019-05-21 2019-05-22
5.0
None Remote Low Not required None Partial None
Enigmail before 2.0.11 allows PGP signature spoofing: for an inline PGP message, an attacker can cause the product to display a "correctly signed" message indication, but display different unauthenticated text.
6 CVE-2019-12253 352 CSRF 2019-05-21 2019-05-21
5.8
None Remote Medium Not required None Partial Partial
my little forum before 2.4.20 allows CSRF to delete posts, as demonstrated by mode=posting&delete_posting.
7 CVE-2019-12247 190 Overflow 2019-05-22 2019-05-23
5.0
None Remote Low Not required None None Partial
QEMU 3.0.0 has an Integer Overflow because the qga/commands*.c files do not check the length of the argument list or the number of environment variables.
8 CVE-2019-12214 125 2019-05-20 2019-05-21
5.0
None Remote Low Not required None None Partial
In FreeImage 3.18.0, an out-of-bounds access occurs because of mishandling of the OpenJPEG j2k_read_ppm_v3 function in j2k.c. The value of l_N_ppm comes from the file read in, and the code does not consider that l_N_ppm may be greater than the size of p_header_data.
9 CVE-2019-12212 400 DoS 2019-05-20 2019-05-21
5.0
None Remote Low Not required None None Partial
When FreeImage 3.18.0 reads a special JXR file, the StreamCalcIFDSize function of JXRMeta.c repeatedly calls itself due to improper processing of the file, eventually causing stack exhaustion. An attacker can achieve a remote denial of service attack by sending a specially constructed file.
10 CVE-2019-12211 119 Overflow 2019-05-20 2019-05-20
5.0
None Remote Low Not required None None Partial
When FreeImage 3.18.0 reads a tiff file, it will be handed to the Load function of the PluginTIFF.cpp file, but a memcpy occurs in which the destination address and the size of the copied data are not considered, resulting in a heap overflow.
11 CVE-2019-12198 125 2019-05-20 2019-05-21
5.0
None Remote Low Not required None None Partial
In GoHttp through 2017-07-25, there is a stack-based buffer over-read via a long User-Agent header.
12 CVE-2019-12163 200 +Info 2019-05-17 2019-05-22
5.0
None Remote Low Not required Partial None None
GAT-Ship Web Module through 1.30 allows remote attackers to obtain potentially sensitive information via {} in a ws/gatshipWs.asmx/SqlVersion request.
13 CVE-2019-12159 125 2019-05-17 2019-05-20
5.0
None Remote Low Not required None None Partial
GoHTTP through 2017-07-25 has a stack-based buffer over-read in the scan function (when called from getRequestType) via a long URL.
14 CVE-2019-12111 476 DoS 2019-05-15 2019-05-16
5.0
None Remote Low Not required None None Partial
A Denial Of Service vulnerability in MiniUPnP MiniUPnPd through 2.1 exists due to a NULL pointer dereference in copyIPv6IfDifferent in pcpserver.c.
15 CVE-2019-12110 476 DoS 2019-05-15 2019-05-16
5.0
None Remote Low Not required None None Partial
An AddPortMapping Denial Of Service vulnerability in MiniUPnP MiniUPnPd through 2.1 exists due to a NULL pointer dereference in upnpredirect.c.
16 CVE-2019-12109 476 DoS 2019-05-15 2019-05-16
5.0
None Remote Low Not required None None Partial
A Denial Of Service vulnerability in MiniUPnP MiniUPnPd through 2.1 exists due to a NULL pointer dereference in GetOutboundPinholeTimeout in upnpsoap.c for rem_port.
17 CVE-2019-12108 476 DoS 2019-05-15 2019-05-16
5.0
None Remote Low Not required None None Partial
A Denial Of Service vulnerability in MiniUPnP MiniUPnPd through 2.1 exists due to a NULL pointer dereference in GetOutboundPinholeTimeout in upnpsoap.c for int_port.
18 CVE-2019-12107 200 +Info 2019-05-15 2019-05-16
5.0
None Remote Low Not required Partial None None
The upnp_event_prepare function in upnpevents.c in MiniUPnP MiniUPnPd through 2.1 allows a remote attacker to leak information from the heap due to improper validation of an snprintf return value.
19 CVE-2019-12106 416 2019-05-15 2019-05-16
5.0
None Remote Low Not required None None Partial
The updateDevice function in minissdpd.c in MiniUPnP MiniSSDPd 1.4 and 1.5 allows a remote attacker to crash the process due to a Use After Free vulnerability.
20 CVE-2019-12101 476 DoS 2019-05-15 2019-05-16
5.0
None Remote Low Not required None None Partial
coap_decode_option in coap.c in LibNyoci 0.07.00rc1 mishandles certain packets with "Uri-Path: (null)" and consequently allows remote attackers to cause a denial of service (segmentation fault).
21 CVE-2019-12098 320 2019-05-15 2019-05-17
5.8
None Remote Medium Not required Partial Partial None
In the client side of Heimdal before 7.6.0, failure to verify anonymous PKINIT PA-PKINIT-KX key exchange permits a man-in-the-middle attack. This issue is in krb5_init_creds_step in lib/krb5/init_creds_pw.c.
22 CVE-2019-12086 200 +Info 2019-05-17 2019-05-21
5.0
None Remote Low Not required Partial None None
A Polymorphic Typing issue was discovered in FasterXML jackson-databind 2.x before 2.9.9. When Default Typing is enabled (either globally or for a specific property) for an externally exposed JSON endpoint, the service has the mysql-connector-java jar (8.0.14 or earlier) in the classpath, and an attacker can host a crafted MySQL server reachable by the victim, an attacker can send a crafted JSON message that allows them to read arbitrary local files on the server. This occurs because of missing com.mysql.cj.jdbc.admin.MiniAdmin validation.
23 CVE-2019-12041 399 DoS 2019-05-13 2019-05-13
5.0
None Remote Low Not required None None Partial
lib/common/html_re.js in remarkable 1.7.1 allows Regular Expression Denial of Service (ReDoS) via a CDATA section.
24 CVE-2019-11880 89 Sql 2019-05-22 2019-05-23
5.0
None Remote Low Not required Partial None None
CommSy through 8.6.5 has SQL Injection via the cid parameter. This is fixed in 9.2.
25 CVE-2019-11842 338 2019-05-09 2019-05-10
5.0
None Remote Low Not required Partial None None
An issue was discovered in Matrix Sydent before 1.0.3 and Synapse before 0.99.3.1. Random number generation is mishandled, which makes it easier for attackers to predict a Sydent authentication token or a Synapse random ID.
26 CVE-2019-11837 189 2019-05-09 2019-05-09
5.0
None Remote Low Not required None None Partial
njs through 0.3.1, used in NGINX, has a segmentation fault in String.prototype.toBytes for negative arguments, related to nxt_utf8_next in nxt/nxt_utf8.h and njs_string_offset in njs/njs_string.c.
27 CVE-2019-11767 918 2019-05-05 2019-05-06
5.0
None Remote Low Not required Partial None None
Server side request forgery (SSRF) in phpBB before 3.2.6 allows checking for the existence of files and services on the local network of the host through the remote avatar upload function.
28 CVE-2019-11641 254 2019-05-01 2019-05-03
5.0
None Remote Low Not required Partial None None
Anomali Agave (formerly Drupot) through 1.0.0 fails to avoid fingerprinting by including predictable data and minimal variation in size within HTML templates, giving attackers the ability to detect and avoid this system.
29 CVE-2019-11636 254 2019-05-01 2019-05-09
5.0
None Remote Low Not required None None Partial
Zcash 2.x allows an inexpensive approach to "fill all transactions of all blocks" and "prevent any real transaction from occurring" via a "Sapling Wood-Chipper" attack.
30 CVE-2019-11633 264 2019-05-01 2019-05-03
5.0
None Remote Low Not required Partial None None
HoneyPress through 2016-09-27 can be fingerprinted by attackers because of the ingrained unique www.atxsec.com and ayylmao.wpengine.com hostnames within the fake WordPress templates. This allows attackers to discover and avoid this honeypot system.
31 CVE-2019-11632 264 2019-05-01 2019-05-03
5.5
None Remote Low Single system Partial Partial None
In Octopus Deploy 2019.1.0 through 2019.3.1 and 2019.4.0 through 2019.4.5, an authenticated user with the VariableViewUnscoped or VariableEditUnscoped permission scoped to a specific project could view or edit unscoped variables from a different project. (These permissions are only used in custom User Roles and do not affect built in User Roles.)
32 CVE-2019-11626 21 2019-04-30 2019-05-01
5.0
None Remote Low Not required Partial None None
routers/ajaxRouter.php in doorGets 7.0 has a web site physical path leakage vulnerability, as demonstrated by an ajax/index.php?uri=1234%5c request.
33 CVE-2019-11624 264 2019-04-30 2019-05-01
5.5
None Remote Low Single system None Partial Partial
doorGets 7.0 has an arbitrary file deletion vulnerability in /doorgets/app/requests/user/configurationRequest.php. A remote background administrator privilege user can exploit this vulnerability to delete arbitrary files.
34 CVE-2019-11616 255 +Info 2019-04-30 2019-05-01
5.0
None Remote Low Not required Partial None None
doorGets 7.0 has a sensitive information disclosure vulnerability in /setup/temp/admin.php and /setup/temp/database.php. A remote unauthenticated attacker could exploit this vulnerability to obtain the administrator password.
35 CVE-2019-11614 89 Sql +Info 2019-04-30 2019-05-01
5.0
None Remote Low Not required Partial None None
doorGets 7.0 has a SQL injection vulnerability in /doorgets/app/views/ajax/commentView.php. A remote unauthorized attacker could exploit the vulnerability to obtain database sensitive information.
36 CVE-2019-11611 200 +Info 2019-04-30 2019-05-01
5.0
None Remote Low Not required Partial None None
doorGets 7.0 has a sensitive information disclosure vulnerability in /fileman/php/download.php. A remote unauthenticated attacker can exploit this vulnerability to obtain server-sensitive information.
37 CVE-2019-11610 200 +Info 2019-04-30 2019-05-01
5.0
None Remote Low Not required Partial None None
doorGets 7.0 has a sensitive information disclosure vulnerability in /fileman/php/downloaddir.php. A remote unauthenticated attacker can exploit this vulnerability to obtain server-sensitive information.
38 CVE-2019-11607 200 +Info 2019-04-30 2019-05-01
5.0
None Remote Low Not required Partial None None
doorGets 7.0 has a sensitive information disclosure vulnerability in /fileman/php/copydir.php. A remote unauthenticated attacker can exploit this vulnerability to obtain server-sensitive information.
39 CVE-2019-11606 200 +Info 2019-04-30 2019-05-01
5.0
None Remote Low Not required Partial None None
doorGets 7.0 has a sensitive information disclosure vulnerability in /fileman/php/copyfile.php. A remote unauthenticated attacker can exploit this vulnerability to obtain server-sensitive information.
40 CVE-2019-11598 125 DoS 2019-04-29 2019-05-14
5.8
None Remote Medium Not required Partial None Partial
In ImageMagick 7.0.8-40 Q16, there is a heap-based buffer over-read in the function WritePNMImage of coders/pnm.c, which allows an attacker to cause a denial of service or possibly information disclosure via a crafted image file. This is related to SetGrayscaleImage in MagickCore/quantize.c.
41 CVE-2019-11597 125 DoS 2019-04-29 2019-05-14
5.8
None Remote Medium Not required Partial None Partial
In ImageMagick 7.0.8-43 Q16, there is a heap-based buffer over-read in the function WriteTIFFImage of coders/tiff.c, which allows an attacker to cause a denial of service or possibly information disclosure via a crafted image file.
42 CVE-2019-11596 476 DoS 2019-04-29 2019-05-16
5.0
None Remote Low Not required None None Partial
In memcached before 1.5.14, a NULL pointer dereference was found in the "lru mode" and "lru temp_ttl" commands. This causes a denial of service when parsing crafted lru command messages in process_lru_command in memcached.c.
43 CVE-2019-11579 119 Overflow 2019-04-28 2019-05-19
5.0
None Remote Low Not required Partial None None
dhcp.c in dhcpcd before 7.2.1 contains a 1-byte read overflow with DHO_OPTSOVERLOADED.
44 CVE-2019-11541 287 2019-04-25 2019-05-01
5.0
None Remote Low Not required Partial None None
In Pulse Secure Pulse Connect Secure version 9.0RX before 9.0R3.4, 8.3RX before 8.3R7.1, and 8.2RX before 8.2R12.1, users using SAML authentication with the Reuse Existing NC (Pulse) Session option may see authentication leaks.
45 CVE-2019-11514 20 2019-04-24 2019-05-02
5.0
None Remote Low Not required None Partial None
User/Command/ConfirmEmailHandler.php in Flarum before 0.1.0-beta.8 mishandles invalidation of user email tokens.
46 CVE-2019-11503 59 Bypass 2019-04-24 2019-05-02
5.0
None Remote Low Not required None Partial None
snap-confine as included in snapd before 2.39 did not guard against symlink races when performing the chdir() to the current working directory of the calling user, aka a "cwd restore permission bypass."
47 CVE-2019-11502 59 2019-04-24 2019-05-02
5.0
None Remote Low Not required Partial None None
snap-confine in snapd before 2.38 incorrectly set the ownership of a snap application to the uid and gid of the first calling user. Consequently, that user had unintended access to a private /tmp directory.
48 CVE-2019-11499 20 2019-05-08 2019-05-09
5.0
None Remote Low Not required None None Partial
In the IMAP Server in Dovecot 2.3.3 through 2.3.5.2, the submission-login component crashes if AUTH PLAIN is attempted over a TLS secured channel with an unacceptable authentication message.
49 CVE-2019-11494 20 2019-05-08 2019-05-09
5.0
None Remote Low Not required None None Partial
In the IMAP Server in Dovecot 2.3.3 through 2.3.5.2, the submission-login service crashes when the client disconnects prematurely during the AUTH command.
50 CVE-2019-11492 532 2019-04-26 2019-04-30
5.0
None Remote Low Not required Partial None None
ProjectSend before r1070 writes user passwords to the server logs.
Total number of vulnerabilities : 22278   Page : 1 (This Page)2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.